application:
  title: Cut To Pack Service
  version: v1.0
  name: application-prod

spring:
  profiles:
    active: @activatedProperties@

  resources:
    chain:
      cache: false
      strategy:
        content:
          enabled: true
          paths: /**
      html-application-cache: true
      enabled: true
    cache:
      period: 0
    static-locations: classpath:/static/
  thymeleaf:
    check-template-location: true
    cache: false
    prefix: classpath:/templates/

server:
  servlet:
    context-path: /ctp
  tomcat:
    remoteip:
      remote-ip-header: X-FORWARDED-FOR
    max-parameter-count: 50000
  port: 8080
  compression:
    enabled: true
    mime-types: text/html, text/xml, text/plain, text/css, text/javascript, application/javascript, application/json, application/xml
    min-response-size: 2KB

thymeleaf-layout-dialect:
  version: 2.1.1

ctp:
  cipher:
    key: BC87A69BFCEC4A71E73B8DCCC4F14
    seed-value : 7XYXo8Qq6D